JUCE: AudioProcessorEditorARAExtension Class Reference

JUCE

Public Member Functions | Protected Member Functions | List of all members
AudioProcessorEditorARAExtension Class Reference
juce_audio_processors » utilities

Extension class meant to be subclassed by the plugin's implementation of. More...

`#include <juce_AudioProcessor_ARAExtensions.h>`

## Public Member Functions
| AudioProcessorEditorARAExtension (AudioProcessor *audioProcessor)
| Constructor. More...
template<typename EditorView_t = ARAEditorView>
EditorView_t * | getARAEditorView () const noexcept
| Returns the result of ARA::PlugIn::PlugInExtension::getEditorView() with the pointer cast to ARAEditorView*. More...
bool | isARAEditorView () const noexcept
| Returns true if plugin instance fulfills the ARAEditorView role. More...

## Protected Member Functions
| ~AudioProcessorEditorARAExtension ()
| Destructor. More...

## Detailed Description

Extension class meant to be subclassed by the plugin's implementation of.

See also
  AudioProcessorEditor.

Subclassing AudioProcessorARAExtension allows access to the ARAEditorView instance role as described by the ARA SDK.

## Constructor & Destructor Documentation

## ◆ AudioProcessorEditorARAExtension()

AudioProcessorEditorARAExtension::AudioProcessorEditorARAExtension | ( | AudioProcessor * | audioProcessor | ) |
| explicit

Constructor.

## ◆ ~AudioProcessorEditorARAExtension()

AudioProcessorEditorARAExtension::~AudioProcessorEditorARAExtension | ( |  | ) |
| protected

Destructor.

## Member Function Documentation

## ◆ getARAEditorView()

template<typename EditorView_t = ARAEditorView>

EditorView_t * AudioProcessorEditorARAExtension::getARAEditorView | ( |  | ) | const
| noexcept

Returns the result of ARA::PlugIn::PlugInExtension::getEditorView() with the pointer cast to ARAEditorView*.

If you have overridden ARADocumentControllerSpecialisation::doCreateEditorView(), then you can use the template parameter to cast the pointers to your subclass of ARAEditorView.

## ◆ isARAEditorView()

bool AudioProcessorEditorARAExtension::isARAEditorView | ( |  | ) | const
| noexcept

Returns true if plugin instance fulfills the ARAEditorView role.

The documentation for this class was generated from the following file:

- juce_AudioProcessor_ARAExtensions.h